Bug 118519 - Lifecycle alerts
Lifecycle alerts
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Daniel Berrange
http://aplaws-ws3.ccm-demo.redhat.de/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 07:24 EST by James Kearns
Modified: 2010-09-03 10:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 10:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Kearns 2004-03-17 07:24:15 EST
Description of problem:
I am expecting user Postosuchus EOSUCHIAN to receive lifecycle 
alerts. 
 
This user inherits the edit permission from Group4, 
which is a sub group of Group3, 
which is a sub group of Group2, 
which inherits this Edit Items privilege from the Content Creation 
Role. 

Members of the Alert Recipient role are: 
Group3 and UserGroupForLifecycleAlerts 

I published content item "The Asteroid Theory" using 
Lifecycle "Deploy now, expire in a minute" 

Should Postosuchus EOSUCHIAN receive an alert regarding expiration of 
this pubished content? 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Publish content which expires.
2. Check alert recipient email inbox
3.
  
Actual results:
User did get two emails, "The Asteroid Theory" is ready for 
authoring...and Authoring of "The Asteroid Theory" was completed ...
But no lifecycle emails.

Expected results:
Postosuchus EOSUCHIAN receives an alert email regarding expiration 
of "The Asteroid Theory"


Additional info:
Iguanodon ORNITHISCHIANS is a member of UserGroupForLifecycleAlerts. 
Again Task state-change alerts are received (thank you for resolving 
these by the way) but no Lifecycle alerts come through.
Comment 1 Scott Seago 2004-03-17 10:15:15 EST
 what did you set the lifecycle notification time to? This field (on
the publish form) tells the CMS how long (before expiration) to send
the alert. If it's set to zero, then there will be no alert sent.

The notification time needs to be after the current time but before
expiration, so if you set expiration alers to go out an hour before
expiration, the item's expiration must be more than an hour from the
current time.
Comment 2 James Kearns 2004-03-19 05:41:51 EST
Thanks for this hint. I had indeed left "Notify in advance:" set to 
zero. 

However, I have now retested with "Notify in advance:" set to 1 hour. 
I tested with items: VENUS, HOT TOPICS, Space, The Making of an 
Alcoholic Drink
and lifecycle: "Deploy now , Expire in 1 hour and 20 minutes"

Still not getting any lifecycle alerts.


Note You need to log in before you can comment on or make changes to this bug.